#
# spec file for package unzip (Version 5.52)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           unzip
License:        BSD3c
Group:          Productivity/Archiving/Compression
Provides:       crunzip
Obsoletes:      crunzip
AutoReqProv:    on
Version:        5.52
Release:        143.5.1
Summary:        A program to unpack compressed files
Source:         unzip552.tar.bz2
Url:            http://www.info-zip.org/
Patch:          unzip.dif
Patch1:         unzip-iso8859_2.patch
Patch3:         unzip-optflags.patch
Patch4:         unzip-5.52-filename_too_long.patch
Patch5:         unzip-no_file_name_translation.patch
Patch6:         unzip-near-4GB.patch
Patch7:         unzip-CVE-2005-2475.patch
Patch8:         unzip-open_missing_mode.patch
Patch9:         unzip-5.5.2-goo-sec.patch
Patch10:        unzip-5.52-use_librcc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  librcc-devel

%description
UnZip is an extraction utility for archives compressed in .zip format
(known as "zip files").  Although highly compatible both with PKWARE's
PKZIP(tm) and PKUNZIP utilities for MS-DOS and with Info-ZIP's own Zip
program, our primary objectives have been portability and non-MS-DOS
functionality. This version can also extract encrypted archives.



Authors:
--------
    Info-ZIP <zip-bugs@lists.wku.edu>

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10

%build
export RPM_OPT_FLAGS="%optflags -DLARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -fstack-protector"
make %{?jobs:-j%jobs} -f unix/Makefile LF2=-lrcc linux_noasm

%install
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
for i in unzip funzip unzipsfx;	\
do	install $i $RPM_BUILD_ROOT%{_bindir};done;
ln -s unzip $RPM_BUILD_ROOT%{_bindir}/zipinfo
install unix/zipgrep $RPM_BUILD_ROOT%{_bindir}
for i in man/*.1;	\
do \
  install -m 644 $i $RPM_BUILD_ROOT%{_mandir}/man1/
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_mandir}/man1/*
%doc BUGS COPYING.OLD Contents History.* INSTALL LICENSE README ToDo WHERE
%doc *.txt proginfo
%{_bindir}/unzip
%{_bindir}/funzip
%{_bindir}/unzipsfx
%{_bindir}/zipinfo
%{_bindir}/zipgrep

%changelog
* Mon May 10 2010 pth@suse.de
- Use librcc to convert russian/slavic file names (bnc#540598).
* Sun Dec  6 2009 jengelh@.medozas.de
- enable parallel building
* Tue Dec  9 2008 schwab@suse.de
- Fix last change.
* Mon Sep 15 2008 ro@suse.de
- use hardlink instead of softlink
* Mon Feb  4 2008 pth@suse.de
- Add patch to fix erroneous freeing of buffers (bnc#358425)
* Fri Dec  7 2007 pth@suse.de
- Pass file mode when calling open with O_CREAT.
* Mon Dec  3 2007 pth@suse.de
- Add patch to extend the maximum file/archive size to 2^32-8193
  (4294959103) bytes.
- Add patch to fix CVE-2005-2475 (bnc#274156)
* Thu Jun 21 2007 adrian@suse.de
- fix changelog entry order
* Thu May  3 2007 pth@suse.de
- Add patch from Takashi Iwai that adds a new option (-S) to
  unzip and infozip that disables file name translation (bnc#267901).
- Recompress tarball with bzip2
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 26 2006 pth@suse.de
- Reject file names that are too long (bnc#140304)
- Use stack protector.
* Fri Jan 20 2006 schwab@suse.de
- Don't strip binaries.
* Thu Dec 15 2005 pth@suse.de
- Compile with (limited) large file support. This will support
  single files exceeding 2 GB as long as the archive stays below
  that theshold.
* Mon Jun 13 2005 rommel@suse.de
- update to version 5.52 (bnc#67279)
* Sat Aug  7 2004 rommel@suse.de
- update to version 5.51
  (fixes old security bugs, adds PKWARE's compression code Deflate64)
* Wed May 19 2004 ro@suse.de
- added -fno-strict-aliasing
- really use RPM_OPT_FLAGS
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Tue Sep 23 2003 rommel@suse.de
- replaced fix for ../ exploit with a fix both for
  the ../ exploit and '/' exploit (Bugzilla #29311)
* Thu Jul  3 2003 rommel@suse.de
- added fix for ../ exploit (Bugzilla #27667)
* Fri Jan 17 2003 rommel@suse.de
- fixed Summary: to be more verbose about what this package does
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Fri Jul  5 2002 kukuk@suse.de
- Use %%ix86 macro
* Mon Mar 11 2002 rommel@suse.de
- Update to 5.50
- took over parts of pmladek's patch (see below)
* Thu Jan 24 2002 grimmer@suse.de
- added unzip-5.42-iso8859_2.patch to fix coding conversion
  between Microsoft and Linux file names
  (originally from http://www.axis.cz/linux/zip_unzip.php3,
  enhanced to support both ISO8859-1 and ISO8859-2 by Petr Mladek
  <pmladek@suse.cz>)
* Mon Apr  9 2001 grimmer@suse.de
- Update to 5.42
- file list fixes (new license file, documentation renames)
* Wed Dec 13 2000 grimmer@suse.de
- Update to 5.41 (now includes decryption support)
- now Provides and Obsoletes crunzip
- bzipped sources
- use BuildRoot
* Tue Feb 29 2000 schwab@suse.de
- Add support for ia64.
- /usr/man -> /usr/share/man
* Wed Dec 22 1999 grimmer@suse.de
- Added "Conflicts: crzip" to spec file
- cleaned up Provides: tag
* Fri Dec 17 1999 grimmer@suse.de
- Spec file cleanups
* Sat Nov 27 1999 kukuk@suse.de
- Use linux_noasm Makefile target on SPARC
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep  8 1999 uli@suse.de
- uses target linux_noasm for PPC
* Wed Feb 24 1999 grimmer@suse.de
- new version (5.40)
- specfile modifications
- added french description
* Mon Jan 11 1999 ro@suse.de
- use target linux_noasm for alpha
* Fri Jan 23 1998 rj@suse.de
- version 5.32
* Thu Feb  6 1997 rj@suse.de
- version 5.12
- new test/changes/plist files
